{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "CL_MONTANT"; 
            externalType = NUMBER; 
            name = clMontant; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "CON_ORDRE"; 
            externalType = NUMBER; 
            name = conOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "EXE_ORDRE"; 
            externalType = NUMBER; 
            name = exeOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "ORG_ID"; 
            externalType = NUMBER; 
            name = orgId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "TCD_ORDRE"; 
            externalType = NUMBER; 
            name = tcdOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (conOrdre, exeOrdre, tcdOrdre, orgId); 
    className = "org.cocktail.kiwi.server.metier.EOConventionLimitative"; 
    classProperties = (clMontant, organ, convention, toExercice, toTypeCredit); 
    externalName = "JEFY_MISSION.v_convention_limitative"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (clMontant, organ, convention, toExercice, toTypeCredit); 
        "_javaClientClassName" = "org.cocktail.kiwi.client.metier.budget.EOConventionLimitative"; 
        "_nameInObjectStore" = "CONVENTION_LIMITATIVE"; 
    }; 
    name = ConventionLimitative; 
    primaryKeyAttributes = (conOrdre); 
    relationships = (
        {
            destination = Convention; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = convOrdre; sourceAttribute = conOrdre; }); 
            name = convention; 
        }, 
        {
            destination = Organ; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = orgId; sourceAttribute = orgId; }); 
            name = organ; 
        }, 
        {
            destination = "ca_Exercice"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = exeOrdre; sourceAttribute = exeOrdre; }); 
            name = toExercice; 
        }, 
        {
            destination = "ca_TypeCredit"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = tcdOrdre; sourceAttribute = tcdOrdre; }); 
            name = toTypeCredit; 
        }
    ); 
}
